/2025-10/marketing-solutions/marketplace-performance-outcomes/budgets
Return a collection of budgets filtered by optional filter parameters, including archived budgets. This is the endpoint to use when investigating past budget history.
By default, budgets whose endDate is in the past are excluded. Use endAfterDate to retrieve archived budgets (e.g. endAfterDate=2025-01-01 returns all budgets ending after that date). Use sellerId to filter to a specific seller — omitting it on large advertisers causes timeouts.
Date filter. To find budgets that were active on a specific date, set both startBeforeDate and endAfterDate to that day.
Spend. If endAfterDate is supplied, the spend excludes spend that happened after that date. For daily budgets, only the spend for the final day is displayed.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Return only budgets belonging to the specified advertiser
Return only budgets that pay for a given campaign.
Return budgets that end after the given date using the yyyy-MM-DD format.
If param is not provided, default behavior is to only return budgets that have not yet ended.
Return only budgets belonging to the given seller.
Return budgets that start on or before the given date using the yyyy-MM-DD format.
Return only budgets with the given status.
Archived, Current, Scheduled Return only budgets with the given budget type.
Return only budgets with the given status.
Return budgets with any positive spend.
Response
Success
Budget amount in the advertiser's currency
Type of budget: 'Daily' (daily cap), 'Capped' (lifetime with fixed amount), or 'Uncapped' (lifetime with no limit)
List of campaign IDs this budget applies to
End date of the budget period (format: YYYY-MM-DD), or empty string if open-ended
Unique budget identifier
Whether the budget has been manually suspended by the partner
Identifier of the seller this budget belongs to
Amount spent against this budget so far, or null if not available
Start date of the budget period (format: YYYY-MM-DD)
Status of a seller budget
Archived, Current, Scheduled